#include <avr/io.h>
#include <avr/interrupt.h>
#include <Arduino.h>

void setup() 
    {
    DDRB = 0xFF;
    PORTB = 0x00;

// инициализация Timer1

    cli();  // отключить глобальные прерывания
    TCCR1A = 0;
    TCCR1A |= (1 << COM1A1);
    TCCR1A |= (1 << COM1A0);
//    TCCR1A |= (1 << COM1B1);
//    TCCR1A |= (1 << COM1B0);

    TCCR1B = 0;
    TCCR1B |= (1 << CS10);    // тактирование от внутреннего генератора

    TIMSK1 = 0;
    TIMSK1 |= (1 << OCIE1A);  // выключить прерывание по совпадению таймера 
//    TIMSK1 |= (1 << OCIE1B);  // вылючить прерывание по совпадению таймера 
    TIMSK1 |= (1 << TOV1);    // включить прерывание по совпадению таймера 

    TIFR1 = 0;

    OCR1A = 1000;            // 1 канал  (AIL1)
//    OCR1B = 0xF000;            // 1 канал  (AIL1)
    TCNT1 = 0x00FF;
    sei(); // включить глобальные прерывания

// конец инициализация Timer1

    }

void loop() 
  {
    while(1);
  }
  
  ISR(TIMER1_OVF_vect)
  {
//    TCNT1 = 0x0000; 
    OCR1A = 1000;            // 1 канал  (AIL1)
    TCCR1A = 0b01000000;
    PORTB ^= 0x01;                //    delay (10); 
  }

  ISR(TIMER1_COMPA_vect)
  {
    OCR1A = 17000;            // 1 канал  (AIL1)
    TCCR1A = 0b11000000;
    PORTB ^= 0x10;                //    delay (10); 
  }

  ISR(TIMER1_COMPB_vect)
  {
//    OCR1B = 0xFC000;            // 1 канал  (AIL1)
//    TCCR1A ^= 0b00010000;
//    PORTB ^= 0x20;                //    delay (10); 
  }
